Subject: bug#38031: 26.3; Trying to invoke the macOS File Open window causes Emacs to crash on macOS Catalina

From: Alan Third <[email-masked]>
Date: Wed, 15 Jan 2020 19:00:40 +0000

On Tue, Jan 14, 2020 at 10:00:25PM -0500, Michael Dixon wrote:
> 
> > Can you try the attached patch. It *completely* removes the
> > EmacsOpenPanel and EmacsSavePanel classes. It might do the trick.
> 
> Applied the patch, and my crash is GONE for all actions where I was
> crashing (File > Open File..., File > Visit New File, the equivalent
> tool bar buttons, and the Splash screen Open a File link).

That’s good.

I suppose it just leaves the question of whether we disable this for
macOS 10.15, or if we just get rid of it altogether. My understanding
is that all it does is allow the use of C-g to quit the file open and
save dialogues. I don’t see much reason to keep it, but if anyone
actually uses this let me know.
-- 
Alan Third